28.0.0 won't run Topic is solved

Users and developers helping users with technical Pale Moon issues (Windows and other non-Linux O.S.). Please direct questions about the Linux version to the appropriate Linux board.

Moderators: trava90, satrow

Forum rules
This board is for technical/usage questions and troubleshooting for the Pale Moon browser only. The main focus here is on Pale Moon on Windows. Please direct your questions for Linux, Android and Mac to the dedicated boards.
Technical issues and questions not related to the Pale Moon browser should be posted in "technical chat"
Please keep off-topic and general discussion out of this board, thank you!
person45
Hobby Astronomer
Hobby Astronomer
Posts: 29
Joined: 2017-10-20, 07:00

Re: 28.0.0 won't run

Unread post by person45 » 2018-08-19, 16:49

MRCS4 wrote:Report.wer
Moonchild wrote:Once more, getting details about the crash is essential.
Since people seem to think it's related to the graphics card/driver, I remember the developers for the old Opera having a hard time getting hardware acceleration to work. In Advanced Preferences I turned off everything that indicated acceleration and it didn't help. My card is the GTX 750.
Is it possible to open palemoon in a safe mode with hardware acceleration off?

It's possible this is one area that wasn't fully tested for. The operating systems were tested, but not every GPU and driver because of the cost.

User avatar
therube
Board Warrior
Board Warrior
Posts: 1081
Joined: 2018-06-08, 17:02

Re: 28.0.0 won't run

Unread post by therube » 2018-08-19, 16:51

Safe Mode disables Hardware Acceleration.
Separately, HA alone can be disabled (so outside of Safe Mode).

User avatar
MRCS4
Apollo supporter
Apollo supporter
Posts: 39
Joined: 2015-06-09, 23:36
Location: Pacific

Re: 28.0.0 won't run

Unread post by MRCS4 » 2018-08-19, 23:19

person45 -
"Wait a second, on the same operating system, it will work on one drive but not on another?"
Not the same OS, one is Win7 32-bit and the other is 64-bit. The crux of it, as it turns out, is that I didn't have EMET installed on the 64-bit.

therube -
Thanks for the link to Safe Mode. I was looking for something like that. It will be very helpful in the future.

"which additional exploit box needs to be unchecked"
Following up on this comment of mine, PM will not run with any of the exploit boxes checked, including the ones in Mitigation Settings at the upper right. This deserves starting a separate topic.
"If it ain't broke, don't fix it."
-- unknown

User avatar
ky331
Moongazer
Moongazer
Posts: 7
Joined: 2018-08-16, 18:44

Re: 28.0.0 won't run

Unread post by ky331 » 2018-08-28, 17:42

It appears my problem was fixed with the release of PM 28.0.1: MalwareBytes Anti-EXPLOIT 1.12.1.109 is NOT blocking PM 28.0.0.1 (on my 32-bit Win 8.1 system)
Last edited by ky331 on 2018-08-28, 18:27, edited 1 time in total.

User avatar
New Tobin Paradigm
Off-Topic Sheriff
Off-Topic Sheriff
Posts: 6034
Joined: 2012-10-09, 19:37
Location: Sector 001

Re: 28.0.0 won't run

Unread post by New Tobin Paradigm » 2018-08-28, 18:19

You mean Pale Moon 28.0.0.1 (the forth version slot is for out of band releases). There is no such thing as Pale Moon 28.0.1.. yet.
Image
- If you are gonna do something in my name, it best be on my orders. Is that understood? -
http://binaryoutcast.com/ | http://thereisonlyxul.org/ | Freenode #binaryoutcast

User avatar
MRCS4
Apollo supporter
Apollo supporter
Posts: 39
Joined: 2015-06-09, 23:36
Location: Pacific

Re: 28.0.0 won't run

Unread post by MRCS4 » 2018-08-28, 19:05

In my previous post about updating the Redistributable I had assumed Visual Studio 2017, but I see from the release notes that 2015 is being used. For those interested, here's the link to the latest version.

Microsoft Visual C++ 2015 Redistributable Update 3
https://www.microsoft.com/en-us/downloa ... x?id=53587
14.0.24212.0
8/18/2016
(patch KB2999226 included in release)
"If it ain't broke, don't fix it."
-- unknown

Locked